<?php
/**
 * Theme registration for this theme.
 */

use ProteusThemes\ThemeRegistration\ThemeRegistration;

class AdrenalineThemeRegistration {
	function __construct() {
		$this->enable_theme_registration();
	}

	/**
	 * Load theme registration and automatic updates.
	 */
	private function enable_theme_registration() {
		$config = array(
			'item_name'        => 'Adrenaline',
			'theme_slug'       => 'adrenaline-pt',
			'item_id'          => 4099,
			'tf_item_id'       => 19081216,
			'customizer_panel' => 'panel_adrenaline',
			'build'            => 'pt',
		);
		$pt_theme_registration = ThemeRegistration::get_instance( $config );
	}
}

if ( ! ADRENALINE_DEVELOPMENT ) {
	$adrenaline_theme_registration = new AdrenalineThemeRegistration();
}
